## Chapter 2. Functional

Partial Table-of-Contents

- AmbientLight
- Append
- Arrange
- Attribute
- AutoAxes
- AutoCamera
- AutoColor
- AutoGlyph
- AutoGrayScale
- AutoGrid
- Band
- BSpline
- Camera
- Caption
- Categorize
- CategoryStatistics
- ChangeGroupMember
- ChangeGroupType
- ClipBox
- ClipPlane
- Collect
- CollectMultiGrid
- CollectNamed
- CollectSeries
- Color
- ColorBar
- Colormap
- Compute
- Compute2
- Connect
- Construct
- Convert
- CopyContainer
- DFT
- DXLInput
- DXLInputNamed
- DXLOutput
- Describe
- Direction
- Display
- DivCurl
- Done
- Echo
- Enumerate
- Equalize
- Execute
- Executive
- Export
- Extract
- FFT
- FaceNormals
- FileSelector
- Filter
- First
- ForEachMember
- ForEachN
- Format
- GetGlobal
- GetLocal
- Glyph
- Gradient
- Grid
- Histogram
- Image
- Import
- ImportSpreadsheet
- Include
- Input
- Inquire
- Integer
- IntegerList
- Isolate
- Isosurface
- KeyIn
- Legend
- Light
- List
- Lookup
- ManageColormapEditor
- ManageControlPanel
- ManageImageWindow
- ManageSequencer
- Map
- MapToPlane
- Mark
- Measure
- Message
- Morph
- Normals
- Options
- Output
- Overlay
- Parse
- Partition
- Pick
- Plot
- Post
- Print
- Probe
- ProbeList
- QuantizeImage
- ReadImage
- ReadImageWindow
- Receiver
- Reduce
- Refine
- Regrid
- Remove
- Rename
- Render
- Reorient
- Replace
- Reset
- Ribbon
- Rotate
- Route
- RubberSheet
- Sample
- Scalar
- ScalarList
- Scale
- ScaleScreen
- Select
- Selector
- SelectorList
- Sequencer
- SetGlobal
- SetLocal
- Shade
- ShowBoundary
- ShowBox
- ShowConnections
- ShowPositions
- SimplifySurface
- Slab
- Slice
- Sort
- Stack
- Statistics
- Streakline
- Streamline
- String
- StringList
- SuperviseState
- SuperviseWindow
- Switch
- System
- Text
- Toggle
- Trace
- Transform
- Translate
- Transmitter
- Transpose
- Tube
- Unmark
- UpdateCamera
- Usage
- Value
- ValueList
- Vector
- VectorList
- Verify
- VisualObject
- WriteImage

  The entries that follow describe the Data Explorer functional modules. They are listed in alphabetical order by module name and contain the following information:

  - Module name and short description (see Note 1)
  - Syntax
  - Inputs and default values
  - Outputs
  - Details of module function
  - Components (see Note 2)
  - Script language example(s) (in some cases)
  - Example program(s) (see Note 3)
  - Related modules or information or both.

  Notes:

  1. The name of the tool category to which a module belongs is printed opposite the module name (i.e., the name listed in the "Categories" palette of the Visual Program Editor window). The absence of a category name signifies that the module is not available in the graphical user interface.

  2. This subsection is omitted if the module does not produce a Field as output.

  3. These programs are contained in the directory `/usr/local/dx/samples/programs` or in its subdirectory ...`programs/SIMPLE`.

  [ OpenDX Home at IBM | OpenDX.org ]